import { Component, Prop, h } from '@stencil/core';
import { State } from '@stencil/core/internal';
import { LogoColor } from './logo-color.enum';
import { LogoVariation } from './logo-variation.enum';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

/**
 * @enums LogoSize - logo-size.enum.ts
 * @enums LogoVariation - logo-variation.enum.ts
 * @swedishName Logotyp
 */
@Component({
	tag: 'digi-logo',
	styleUrls: ['logo.scss'],
	scoped: true
})
export class Logo {
	@State() relation: string;

	/**
	 * Sätter variation. kan vara 'primary' eller 'secondary'.
	 * @en Sets the variation of the logo.
	 */
	@Prop() afColor: LogoColor = LogoColor.PRIMARY;


	/**
	 * Sätter storlek. Kan vara 'small' eller 'large'.
	 * @en Sets the size of the logo.
	 * @ignore
	 */
	@Prop() afVariation: LogoVariation = LogoVariation.LARGE;

	/**
	 * Skriver ut namn på systemet bredvid logosymbolen.
	 * @en Writes out system name next to the logo symbol.
	 */
	@Prop() afSystemName: string;

	/**
	 * Lägger till ett titleelement i svg:n. Standardtext är 'Arbetsförmedlingen'.
	 * @en Adds a title element inside the svg. Defaults to 'Arbetsförmedlingen'.
	 */
	@Prop() afTitle: string = 'Arbetsförmedlingen';

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja logotypen för skärmläsare.
	 * @en Hides the logotype for screen readers.
	 */
	@Prop() afSvgAriaHidden: boolean;

	/**
	 * Sätter attributet 'id' på title-elementet inuti svg-elementet.
	 * Om inget väljs så skapas ett slumpmässigt id.
	 * @en Id attribute on the title element inside of the svg. Defaults to random string.
	 */
	@Prop() afTitleId: string = randomIdGenerator('digi-logo__title');

	get cssModifiers() {
		return {
			'digi-logo': true,
			'digi-logo--small':
				this.afVariation === LogoVariation.SMALL || !!this.afSystemName,
			'digi-logo--large':
				this.afVariation === LogoVariation.LARGE && !this.afSystemName,
			'digi-logo--primary': this.afColor === LogoColor.PRIMARY,
			'digi-logo--secondary': this.afColor === LogoColor.SECONDARY,
			'digi-logo--system-name': !!this.afSystemName
		};
	}


	render() {
		return (
			<div class={{ ...this.cssModifiers }}>
				<div class="digi-logo__img">
					{(this.afVariation === LogoVariation.SMALL || !!this.afSystemName) && (
						// <svg
						// 	aria-labelledby={this.afTitle ? this.afTitleId : null}
						// 	class="digi-logo-small"
						// 	xmlns="http://www.w3.org/2000/svg"
						// 	width="50.7"
						// 	height="51.65"
						// 	viewBox="0 0 50.7 51.65"
						// 	aria-hidden={this.afSvgAriaHidden && 'true'}
						// 	role="img"
						// >
						// 	{this.afTitle && <title id={this.afTitleId}>{this.afTitle}</title>}
						// 	{this.afDesc && <desc>{this.afDesc}</desc>}
						// 	<path
						// 		class="digi-logo-small__shape"
						// 		fill="#95C235"
						// 		d="M18.88 18.16a14.13 14.13 0 1013.89 14.37v-.24A14 14 0 0018.9 18.16m0 21.67a7.55 7.55 0 117.42-7.68v.14a7.46 7.46 0 01-7.4 7.54"
						// 	/>
						// 	<path
						// 		class="digi-logo-small__shape"
						// 		fill="#95C235"
						// 		d="M18.88 5v6.6a20.51 20.51 0 0120.33 20.69 20.84 20.84 0 01-2.94 10.77l5.41 3.63a27.46 27.46 0 004-14.36A27.06 27.06 0 0018.86 5"
						// 	/>
						// </svg>
						<svg width="44px" 
						height="44px" 
						viewBox="0 0 44 44" 
						version="1.1" 
						xmlns="http://www.w3.org/2000/svg" 
						aria-labelledby={this.afTitle ? this.afTitleId : null}
						class="digi-logo-small"
						aria-hidden={this.afSvgAriaHidden && 'true'}
						role="img"
						>
							{this.afTitle && <title id={this.afTitleId}>{this.afTitle}</title>}
						 	{this.afDesc && <desc>{this.afDesc}</desc>}
						<defs>
								<path d="M15.0075701,0 C31.0194479,0 44,12.9056055 44,28.8260562 C44,34.3951264 42.4072773,39.5923154 39.6561271,44 L33.8018821,40.1595143 C35.8219992,36.8551231 36.9854872,32.9757568 36.9854872,28.8260562 C36.9854872,16.7575266 27.1457549,6.97425981 15.0075701,6.97425981 Z M15.0075701,13.9047447 C23.2959849,13.9047447 30.0151401,20.5853418 30.0151401,28.825736 C30.0151401,37.0665877 23.2959849,43.7471848 15.0075701,43.7471848 C6.71915517,43.7471848 0,37.0665877 0,28.825736 C0,20.5853418 6.71915517,13.9047447 15.0075701,13.9047447 Z M15.0075701,20.8547613 C10.5795065,20.8547613 6.99058971,24.4235404 6.99058971,28.825736 C6.99058971,33.2283891 10.5795065,36.7971682 15.0075701,36.7971682 C19.4356336,36.7971682 23.0245504,33.2283891 23.0245504,28.825736 C23.0245504,24.4235404 19.4356336,20.8547613 15.0075701,20.8547613 Z" id="path-1"></path>
						</defs>
						<g id="Logotypguide" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
								<g id="Primär" transform="translate(-24, -22)">
										<g id="Symbolen" transform="translate(24, 22)">
												<mask id="mask-2" fill="white">
														<use href="#path-1"></use>
												</mask>
												<use id="Main-Symbol" fill="#95C23E" href="#path-1"></use>
										</g>
								</g>
						</g>
					</svg>
					)}
					{this.afVariation === LogoVariation.LARGE && !this.afSystemName && (
						<svg
							aria-labelledby={this.afTitle ? this.afTitleId : null}
							class="digi-logo-large"
							width="392px" height="88px" viewBox="0 0 392 88"
							xmlns="http://www.w3.org/2000/svg"
							aria-hidden={this.afSvgAriaHidden && 'true'}
							role="img"
						>
							{this.afTitle && <title id={this.afTitleId}>{this.afTitle}</title>}
							{this.afDesc && <desc>{this.afDesc}</desc>}
							<defs>
        				<path d="M15.0075701,0 C31.0194479,0 44,12.9056055 44,28.8260562 C44,34.3951264 42.4072773,39.5923154 39.6561271,44 L33.8018821,40.1595143 C35.8219992,36.8551231 36.9854872,32.9757568 36.9854872,28.8260562 C36.9854872,16.7575266 27.1457549,6.97425981 15.0075701,6.97425981 Z M15.0075701,13.9047447 C23.2959849,13.9047447 30.0151401,20.5853418 30.0151401,28.825736 C30.0151401,37.0665877 23.2959849,43.7471848 15.0075701,43.7471848 C6.71915517,43.7471848 0,37.0665877 0,28.825736 C0,20.5853418 6.71915517,13.9047447 15.0075701,13.9047447 Z M15.0075701,20.8547613 C10.5795065,20.8547613 6.99058971,24.4235404 6.99058971,28.825736 C6.99058971,33.2283891 10.5795065,36.7971682 15.0075701,36.7971682 C19.4356336,36.7971682 23.0245504,33.2283891 23.0245504,28.825736 C23.0245504,24.4235404 19.4356336,20.8547613 15.0075701,20.8547613 Z" id="path-1"></path>
							</defs>
							<g id="Logotypguide" stroke="none" stroke-width="1" fill-rule="evenodd">
									<g id="Vart?" transform="translate(-24, -88)">
											<g id="Arbetsförmedlingen/Primary" transform="translate(24, 110)">
													<g id="Ordbild" transform="translate(56, 0)" fill={this.afColor}>
															<path d="M10.0781759,14.984252 L8.21498371,10.2637795 L6.30944625,14.984252 L10.0781759,14.984252 Z M11.2638436,17.7559055 L5.16612378,17.7559055 L3.21824104,22 L0,22 L8.17263844,4.02755906 L8.25732899,4.02755906 L16.4299674,22 L13.1270358,22 L11.2638436,17.7559055 L11.2638436,17.7559055 Z M23.7980456,7.4488189 L23.7980456,11.9527559 L26.762215,11.9527559 C27.990228,11.9527559 29.0488599,10.9566929 29.0488599,9.7007874 C29.0488599,8.44488189 28.0749186,7.4488189 26.8469055,7.4488189 L23.7980456,7.4488189 Z M29.3876221,22 L23.7980456,14.6377953 L23.7980456,22 L20.7491857,22 L20.7491857,4.54724409 L26.8469055,4.54724409 C29.7687296,4.54724409 32.0977199,6.71259843 32.0977199,9.65748031 C32.0977199,12.6023622 29.980456,14.2480315 27.3973941,14.5511811 L33.2410423,22 L29.3876221,22 L29.3876221,22 Z M144.651466,7.4488189 L144.651466,11.9527559 L147.615635,11.9527559 C148.843648,11.9527559 149.90228,10.9566929 149.90228,9.7007874 C149.90228,8.44488189 148.928339,7.4488189 147.700326,7.4488189 L144.651466,7.4488189 Z M150.241042,22 L144.651466,14.6377953 L144.651466,22 L141.602606,22 L141.602606,4.54724409 L147.700326,4.54724409 C150.62215,4.54724409 152.95114,6.71259843 152.95114,9.65748031 C152.95114,12.6023622 150.833876,14.2480315 148.250814,14.5511811 L154.094463,22 L150.241042,22 L150.241042,22 Z M46.6221498,16.8897638 C46.6221498,15.6338583 45.5211726,14.6377953 44.2931596,14.6377953 L41.7100977,14.6377953 L41.7100977,19.0551181 L44.2931596,19.0551181 C45.5211726,19.0551181 46.6221498,18.1889764 46.6221498,16.8897638 Z M41.7100977,7.4488189 L41.7100977,11.7362205 L44.2931596,11.7362205 C45.5211726,11.7362205 46.4104235,10.9133858 46.4104235,9.61417323 C46.4104235,8.35826772 45.5211726,7.4488189 44.2931596,7.4488189 L41.7100977,7.4488189 Z M49.7980456,16.8897638 C49.7980456,19.7913386 47.5114007,22 44.2931596,22 L38.7035831,22 L38.7035831,4.54724409 L44.2931596,4.54724409 C47.2149837,4.54724409 49.4592834,6.71259843 49.4592834,9.65748031 C49.4592834,11.1732283 48.9087948,12.3858268 47.8501629,13.2086614 C49.0358306,13.9448819 49.7980456,15.3740157 49.7980456,16.8897638 L49.7980456,16.8897638 Z M59.1563518,7.4488189 L59.1563518,11.7795276 L65.3811075,11.7795276 L65.3811075,14.6811024 L59.1563518,14.6811024 L59.1563518,19.011811 L65.5928339,19.011811 L65.5928339,21.9133858 L56.1498371,21.9133858 L56.1498371,4.46062992 L65.5928339,4.46062992 L65.5928339,7.36220472 L59.1563518,7.36220472 L59.1563518,7.4488189 M75.0781759,7.4488189 L70.7166124,7.4488189 L70.7166124,4.54724409 L82.4885993,4.54724409 L82.4885993,7.4488189 L78.1270358,7.4488189 L78.1270358,22 L75.0781759,22 L75.0781759,7.4488189 M106.371336,7.4488189 L106.371336,11.7795276 L112.723127,11.7795276 L112.723127,14.6811024 L106.371336,14.6811024 L106.371336,21.9566929 L103.449511,21.9566929 L103.449511,4.50393701 L112.892508,4.50393701 L112.892508,7.40551181 L106.371336,7.4488189 M130.592834,1.77559055 C130.592834,0.779527559 131.439739,0 132.371336,0 C133.302932,0 134.149837,0.779527559 134.149837,1.77559055 C134.149837,2.77165354 133.302932,3.5511811 132.371336,3.5511811 C131.439739,3.5511811 130.592834,2.81496063 130.592834,1.77559055 Z M133.218241,13.2519685 C133.218241,9.74409449 130.592834,7.1023622 127.162866,7.1023622 C123.732899,7.1023622 121.107492,9.78740157 121.107492,13.2519685 C121.107492,16.7598425 123.732899,19.4015748 127.162866,19.4015748 C130.550489,19.4448819 133.218241,16.7598425 133.218241,13.2519685 Z M120.218241,1.81889764 C120.218241,0.822834646 121.065147,0.0433070866 121.996743,0.0433070866 C122.928339,0.0433070866 123.775244,0.822834646 123.775244,1.81889764 C123.775244,2.81496063 122.928339,3.59448819 121.996743,3.59448819 C121.065147,3.59448819 120.218241,2.81496063 120.218241,1.81889764 Z M118.016287,13.2519685 C118.016287,8.18503937 122.081433,4.15748031 127.162866,4.15748031 C132.201954,4.15748031 136.309446,8.18503937 136.309446,13.2519685 C136.309446,18.3188976 132.2443,22.3464567 127.162866,22.3464567 C122.081433,22.3464567 118.016287,18.3188976 118.016287,13.2519685 L118.016287,13.2519685 Z M177.214984,4.15748031 L177.214984,22 L174.1657,22 L174.1657,10.6535433 L168.407166,15.8070866 L162.605863,10.6102362 L162.605863,22 L159.55658,22 L159.55658,4.15748031 L159.599349,4.15748031 L168.364821,11.8228346 L177.087948,4.15748031 L177.214984,4.15748031 M186.996743,7.4488189 L186.996743,11.7795276 L193.221498,11.7795276 L193.221498,14.6811024 L186.996743,14.6811024 L186.996743,19.011811 L193.433225,19.011811 L193.433225,21.9133858 L183.990228,21.9133858 L183.990228,4.46062992 L193.433225,4.46062992 L193.433225,7.36220472 L186.996743,7.36220472 L186.996743,7.4488189 M210.837134,13.2952756 C210.837134,9.83070866 208.423453,7.49212598 204.824104,7.49212598 L203.299674,7.49212598 L203.299674,19.0551181 L204.824104,19.0551181 C208.423453,19.0551181 210.837134,16.7165354 210.837134,13.2952756 Z M213.928339,13.2952756 C213.928339,18.4055118 210.074919,22 204.824104,22 L200.29316,22 L200.29316,4.54724409 L204.824104,4.54724409 C210.074919,4.54724409 213.928339,8.14173228 213.928339,13.2952756 L213.928339,13.2952756 Z M228.537459,19.0551181 L228.537459,21.9566929 L219.094463,21.9566929 L219.094463,4.50393701 L222.143322,4.50393701 L222.143322,19.0551181 L228.537459,19.0551181 M233.915309,22 L236.964169,22 L236.964169,4.50393701 L233.915309,4.50393701 L233.915309,22 Z M257.628664,4.54724409 L257.628664,22.3464567 L257.586319,22.3464567 L246.745928,11.3464567 L246.745928,22 L243.697068,22 L243.697068,4.2007874 L243.739414,4.2007874 L254.579805,15.1574803 L254.579805,4.54724409 L257.628664,4.54724409 M311.999577,4.54724409 L311.999577,22.3464567 L311.957655,22.3464567 L301.117264,11.3464567 L301.117264,22 L298.068404,22 L298.068404,4.2007874 L298.110749,4.2007874 L308.993485,15.1574803 L308.993485,4.54724409 L311.999577,4.54724409 M276.514658,22 L272.322476,22 C267.029316,22 263.218241,18.3622047 263.218241,13.2952756 C263.218241,8.18503937 267.071661,4.54724409 272.322476,4.54724409 L275.2443,4.54724409 L275.2443,7.4488189 L272.322476,7.4488189 C268.723127,7.4488189 266.309446,9.78740157 266.309446,13.2519685 C266.309446,16.7165354 268.723127,19.0551181 272.322476,19.0551181 L273.508143,19.0551181 L273.508143,14.7244094 L270.924658,14.7244094 L270.924658,11.8228346 L276.514658,11.8228346 L276.514658,22 M285.618893,7.4488189 L285.618893,11.7795276 L291.843648,11.7795276 L291.843648,14.6811024 L285.618893,14.6811024 L285.618893,19.011811 L292.055375,19.011811 L292.055375,21.9133858 L282.612378,21.9133858 L282.612378,4.46062992 L292.055375,4.46062992 L292.055375,7.36220472 L285.618893,7.36220472 L285.618893,7.4488189 M87.2312704,19.0551181 L92.6091205,19.0551181 C93.8371336,19.0551181 94.8110749,18.015748 94.8110749,16.7598425 C94.8110749,15.503937 93.8371336,14.507874 92.6091205,14.507874 L91.8469055,14.4645669 C88.7557003,14.4645669 86.723127,12.8188976 86.723127,9.57086614 C86.723127,6.27952756 89.0944625,4.59055118 91.9739414,4.59055118 L96.8859935,4.59055118 L96.8859935,7.49212598 L91.9739414,7.49212598 C90.7459283,7.49212598 89.771987,8.27165354 89.771987,9.57086614 C89.771987,10.8267717 90.7459283,11.476378 91.9739414,11.476378 L92.7361564,11.519685 C95.9543974,11.519685 97.8599349,13.2952756 97.8599349,16.7598425 C97.8599349,20.007874 95.4885993,22 92.6091205,22 L87.2312704,22 L87.2312704,19.0551181 M23.4592834,32.8267717 L18.3778502,44 L18.3355049,44 L16.0912052,39.0629921 L13.8469055,44 L8.76547231,32.8267717 L10.5016287,32.8267717 L13.8469055,40.2755906 L15.2442997,37.2007874 L13.2540717,32.8267717 L14.990228,32.8267717 L16.0912052,35.2952756 L17.1921824,32.8267717 L18.8859935,32.8267717 L16.8957655,37.1574803 L18.2931596,40.2755906 L21.6384365,32.8267717 L23.4592834,32.8267717 M27.3550489,34.3858268 L27.3550489,37.5472441 L31.4625407,37.5472441 L31.4625407,39.1062992 L27.3550489,39.1062992 L27.3550489,42.2677165 L31.5472313,42.2677165 L31.5472313,43.8267717 L25.7459283,43.8267717 L25.7459283,32.9133858 L31.5472313,32.9133858 L31.5472313,34.4724409 L27.3550489,34.4724409 L27.3550489,34.3858268 M41.9641694,38.2834646 C41.9641694,35.9448819 40.3127036,34.3425197 37.8990228,34.3425197 L36.7980456,34.3425197 L36.7980456,42.1811024 L37.8990228,42.1811024 C40.3127036,42.2244094 41.9641694,40.6220472 41.9641694,38.2834646 Z M43.5732899,38.2834646 C43.5732899,41.488189 41.1596091,43.7401575 37.8566775,43.7401575 L35.1465798,43.7401575 L35.1465798,32.8267717 L37.8566775,32.8267717 C41.1596091,32.8267717 43.5732899,35.0787402 43.5732899,38.2834646 L43.5732899,38.2834646 Z M46.495114,43.7401575 L48.1042345,43.7401575 L48.1042345,32.8267717 L46.495114,32.8267717 L46.495114,43.7401575 Z M69.4462541,32.8267717 L69.4462541,43.7401575 L67.8371336,43.7401575 L67.8371336,39.0629921 L62.6286645,39.0629921 L62.6286645,43.7401575 L61.019544,43.7401575 L61.019544,32.8267717 L62.6286645,32.8267717 L62.6286645,37.503937 L67.8371336,37.503937 L67.8371336,32.8267717 L69.4462541,32.8267717 M83.8013029,35.9448819 C83.8013029,35.0354331 83.0814332,34.3425197 82.1921824,34.3425197 L80.4136808,34.3425197 L80.4136808,37.5472441 L82.1921824,37.5472441 C83.0814332,37.5472441 83.8013029,36.8976378 83.8013029,35.9448819 Z M85.3680782,35.9448819 C85.3680782,37.7637795 83.9283388,39.1062992 82.1498371,39.1062992 L80.3713355,39.1062992 L80.3713355,43.7401575 L78.762215,43.7401575 L78.762215,32.8267717 L82.1074919,32.8267717 C83.9283388,32.8267717 85.3680782,34.1692913 85.3680782,35.9448819 L85.3680782,35.9448819 Z M88.1205212,40.3622047 L88.1205212,32.8267717 L89.7296417,32.8267717 L89.7296417,40.3622047 C89.7296417,41.488189 90.5765472,42.4409449 91.8892508,42.4409449 C93.1596091,42.4409449 94.0488599,41.488189 94.0488599,40.3622047 L94.0488599,32.8267717 L95.6579805,32.8267717 L95.6579805,40.3622047 C95.6579805,42.4409449 94.218241,44 91.9315961,44 C89.5602606,44 88.1205212,42.3976378 88.1205212,40.3622047 M104.254072,40.6220472 C104.254072,39.7125984 103.449511,39.019685 102.517915,39.019685 L100.739414,39.019685 L100.739414,42.2244094 L102.517915,42.2244094 C103.407166,42.2244094 104.254072,41.5314961 104.254072,40.6220472 Z M100.739414,34.3858268 L100.739414,37.4606299 L102.517915,37.4606299 C103.449511,37.4606299 104.084691,36.8543307 104.084691,35.9015748 C104.084691,34.992126 103.449511,34.3858268 102.517915,34.3858268 L100.739414,34.3858268 Z M105.863192,40.6220472 C105.863192,42.5708661 104.465798,43.7834646 102.517915,43.7834646 L99.1726384,43.7834646 L99.1726384,32.8700787 L102.517915,32.8700787 C104.296417,32.8700787 105.693811,34.1692913 105.693811,35.9448819 C105.693811,36.9409449 105.270358,37.7204724 104.592834,38.2834646 C105.270358,38.7598425 105.863192,39.6259843 105.863192,40.6220472 L105.863192,40.6220472 Z M114.840391,42.2244094 L114.840391,43.7834646 L109.166124,43.7834646 L109.166124,32.8700787 L110.775244,32.8700787 L110.775244,42.2677165 L114.840391,42.2677165 L114.840391,42.2244094 M117.635179,43.7401575 L119.2443,43.7401575 L119.2443,32.8267717 L117.635179,32.8267717 L117.635179,43.7401575 Z M122.081433,38.2834646 C122.081433,35.0787402 124.495114,32.8267717 127.798046,32.8267717 L129.407166,32.8267717 L129.407166,34.3858268 L127.798046,34.3858268 C125.34202,34.3858268 123.732899,35.9448819 123.732899,38.3267717 C123.732899,40.6653543 125.384365,42.2244094 127.798046,42.2244094 L129.407166,42.2244094 L129.407166,43.7834646 L127.798046,43.7834646 C124.495114,43.7401575 122.081433,41.488189 122.081433,38.2834646 M139.527687,34.3858268 L139.527687,37.5472441 L143.635179,37.5472441 L143.635179,39.1062992 L139.527687,39.1062992 L139.527687,42.2677165 L143.71987,42.2677165 L143.71987,43.8267717 L137.918567,43.8267717 L137.918567,32.9133858 L143.71987,32.9133858 L143.71987,34.4724409 L139.527687,34.4724409 L139.527687,34.3858268 M158.159609,32.6102362 L158.159609,43.7401575 L156.550489,43.7401575 L156.550489,35.9448819 L152.781759,39.1496063 L149.013029,35.9448819 L149.013029,43.7401575 L147.446254,43.7401575 L147.446254,32.5669291 L147.488599,32.5669291 L152.824104,37.1141732 L158.159609,32.6102362 M167.094463,35.9448819 C167.094463,35.0354331 166.374593,34.3425197 165.485342,34.3425197 L163.70684,34.3425197 L163.70684,37.5472441 L165.485342,37.5472441 C166.416938,37.5472441 167.094463,36.8976378 167.094463,35.9448819 Z M168.703583,35.9448819 C168.703583,37.7637795 167.263844,39.1062992 165.485342,39.1062992 L163.70684,39.1062992 L163.70684,43.7401575 L162.09772,43.7834646 L162.09772,32.8700787 L165.442997,32.8267717 C167.263844,32.8267717 168.703583,34.1692913 168.703583,35.9448819 L168.703583,35.9448819 Z M176.960912,42.2244094 L176.960912,43.7834646 L171.286645,43.7834646 L171.286645,32.8700787 L172.895765,32.8700787 L172.895765,42.2677165 L176.960912,42.2677165 L176.960912,42.2244094 M188.436482,38.2834646 C188.436482,35.9015748 186.657557,34.1259843 184.328567,34.1259843 C181.999577,34.1259843 180.221498,35.9448819 180.221498,38.2834646 C180.221498,40.6653543 181.999577,42.4409449 184.328567,42.4409449 C186.65798,42.4409449 188.436482,40.6653543 188.436482,38.2834646 Z M178.612378,38.2834646 C178.612378,35.1220472 181.153094,32.5669291 184.32899,32.5669291 C187.504886,32.5669291 190.045603,35.0787402 190.045603,38.2834646 C190.045603,41.4448819 187.504886,44 184.32899,44 C181.153094,44 178.612378,41.4448819 178.612378,38.2834646 L178.612378,38.2834646 Z M195.931596,38.4566929 L195.931596,43.7401575 L194.322476,43.7401575 L194.322476,38.4566929 L191.061889,32.8267717 L192.840391,32.8267717 L195.127036,36.7677165 L197.413681,32.8267717 L199.192182,32.8267717 L195.931596,38.4566929 M212.27645,32.6102362 L212.27645,43.7401575 L210.667752,43.7401575 L210.667752,35.9448819 L206.899023,39.1496063 L203.130293,35.9448819 L203.130293,43.7401575 L201.521173,43.7401575 L201.521173,32.5669291 L201.563518,32.5669291 L206.899023,37.1141732 L212.27645,32.6102362 M217.908795,34.3858268 L217.908795,37.5472441 L222.016287,37.5472441 L222.016287,39.1062992 L217.908795,39.1062992 L217.908795,42.2677165 L222.100977,42.2677165 L222.100977,43.8267717 L216.299674,43.8267717 L216.299674,32.9133858 L222.100977,32.9133858 L222.100977,34.4724409 L217.908795,34.4724409 L217.908795,34.3858268 M234.254072,32.8267717 L234.254072,43.9566929 L234.211726,43.9566929 L227.436482,36.4645669 L227.436482,43.7401575 L225.827362,43.7401575 L225.827362,32.5669291 L225.869707,32.5669291 L232.644951,40.015748 L232.644951,32.7834646 L234.254072,32.8267717 M239.631922,34.3858268 L236.837134,34.3858268 L236.837134,32.8267717 L243.993485,32.8267717 L243.993485,34.3858268 L241.241042,34.3858268 L241.241042,43.7401575 L239.631922,43.7401575 L239.631922,34.3858268 M0.804560261,42.2244094 L4.0228013,42.2244094 C4.91205212,42.2244094 5.6742671,41.488189 5.6742671,40.5787402 C5.6742671,39.6692913 4.91205212,38.9330709 4.0228013,38.9330709 L3.64169381,38.9330709 C1.43973941,38.9330709 0.423452769,37.6771654 0.423452769,35.9015748 C0.423452769,34.1259843 1.56677524,32.8700787 3.64169381,32.8700787 L6.64820847,32.8700787 L6.64820847,34.4291339 L3.59934853,34.4291339 C2.71009772,34.4291339 1.99022801,34.992126 1.99022801,35.9015748 C1.99022801,36.8110236 2.71009772,37.3740157 3.59934853,37.3740157 L3.98045603,37.3740157 C6.2247557,37.3740157 7.24104235,38.7598425 7.24104235,40.5787402 C7.24104235,42.3543307 6.05537459,43.7834646 3.98045603,43.7834646 L0.804560261,43.7834646 L0.804560261,42.2244094 M51.6188925,42.2244094 L54.8371336,42.2244094 C55.7263844,42.2244094 56.4885993,41.488189 56.4885993,40.5787402 C56.4885993,39.6692913 55.7263844,38.9330709 54.8371336,38.9330709 L54.4560261,38.9330709 C52.2540717,38.9330709 51.237785,37.6771654 51.237785,35.9015748 C51.237785,34.1259843 52.3811075,32.8700787 54.4560261,32.8700787 L57.504886,32.8700787 L57.504886,34.4291339 L54.4560261,34.4291339 C53.5667752,34.4291339 52.8469055,34.992126 52.8469055,35.9015748 C52.8469055,36.8110236 53.5667752,37.3740157 54.4560261,37.3740157 L54.8371336,37.3740157 C57.0814332,37.3740157 58.0977199,38.7598425 58.0977199,40.5787402 C58.0977199,42.3543307 56.9120521,43.7834646 54.8371336,43.7834646 L51.6612378,43.7834646 L51.6612378,42.2244094 L51.6188925,42.2244094 M251.488599,42.2244094 L254.70684,42.2244094 C255.596091,42.2244094 256.358306,41.488189 256.358306,40.5787402 C256.358306,39.6692913 255.596091,38.9330709 254.70684,38.9330709 L254.325733,38.9330709 C252.123779,38.9330709 251.107492,37.6771654 251.107492,35.9015748 C251.107492,34.1259843 252.250814,32.8700787 254.325733,32.8700787 L257.374169,32.8700787 L257.374169,34.4291339 L254.325733,34.4291339 C253.436482,34.4291339 252.716189,34.992126 252.716189,35.9015748 C252.716189,36.8110236 253.436482,37.3740157 254.325733,37.3740157 L254.70684,37.3740157 C256.950717,37.3740157 257.967427,38.7598425 257.967427,40.5787402 C257.967427,42.3543307 256.781759,43.7834646 254.70684,43.7834646 L251.530945,43.7834646 L251.488599,42.2244094 M262.964169,34.3858268 L262.964169,37.5472441 L267.071661,37.5472441 L267.071661,39.1062992 L262.964169,39.1062992 L262.964169,42.2677165 L267.156352,42.2677165 L267.156352,43.8267717 L261.355049,43.8267717 L261.355049,32.9133858 L267.156352,32.9133858 L267.156352,34.4724409 L262.964169,34.4724409 L262.964169,34.3858268 M272.406743,34.3858268 L272.406743,37.5472441 L274.31228,37.5472441 C275.2443,37.5472441 275.921824,36.8976378 275.921824,35.9448819 C275.921824,35.0354331 275.201954,34.3858268 274.31228,34.3858268 L272.406743,34.3858268 Z M276.13355,43.7401575 L272.407166,38.9330709 L272.407166,43.7401575 L270.798046,43.7401575 L270.798046,32.8267717 L274.312704,32.8267717 C276.091205,32.8267717 277.530945,34.1692913 277.530945,35.9448819 C277.530945,37.7204724 276.13355,38.9330709 274.355049,39.019685 L278.081433,43.7834646 L276.13355,43.7834646 L276.13355,43.7401575 L276.13355,43.7401575 Z M289.133127,32.8267717 L284.051694,44 L284.009772,44 L278.928339,32.8267717 L280.664072,32.8267717 L284.009772,40.2755906 L287.355049,32.8267717 L289.133127,32.8267717 M291.37785,43.7401575 L292.986971,43.7401575 L292.986971,32.8267717 L291.37785,32.8267717 L291.37785,43.7401575 Z M295.908371,38.2834646 C295.908371,35.0787402 298.322476,32.8267717 301.624984,32.8267717 L303.234528,32.8267717 L303.234528,34.3858268 L301.624984,34.3858268 C299.169381,34.3858268 297.560261,35.9448819 297.560261,38.3267717 C297.560261,40.6653543 299.211726,42.2244094 301.624984,42.2244094 L303.234528,42.2244094 L303.234528,43.7834646 L301.624984,43.7834646 C298.322476,43.7401575 295.908371,41.488189 295.908371,38.2834646 M307.807818,34.3858268 L307.807818,37.5472441 L311.915309,37.5472441 L311.915309,39.1062992 L307.807818,39.1062992 L307.807818,42.2677165 L312,42.2677165 L312,43.8267717 L306.198697,43.8267717 L306.198697,32.9133858 L312,32.9133858 L312,34.4724409 L307.807818,34.4724409 L307.807818,34.3858268"></path>
													</g>
													<g id="Symbol" transform="translate(0, 0)">
															<mask id="mask-2" fill="white">
																	<use href="#path-1"></use>
															</mask>
															<use id="Main-Symbol" fill="#95C23E" href="#path-1"></use>
													</g>
											</g>
									</g>
							</g>
						</svg>
					)}
				</div>
				{!!this.afSystemName && (
					<span class="digi-logo__system-name">
						<slot></slot>
						{this.afSystemName}
					</span>
				)}
			</div>
		);
	}
}
